com.google.gwt.user.client.ui

## Interface TabListener

- All Superinterfaces:
    java.util.EventListener
  All Known Implementing Classes:
    DecoratedTabPanel, TabPanel

  Deprecated.
  use `TabPanel.addBeforeSelectionHandler(com.google.gwt.event.logical.shared.BeforeSelectionHandler)` and/or `TabPanel.addSelectionHandler(com.google.gwt.event.logical.shared.SelectionHandler)` instead

      @Deprecated
      public interface TabListener
      extends java.util.EventListener

  Event listener interface for tab events, used primarily by `TabBar` and `TabPanel`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onBeforeTabSelected(SourcesTabEvents sender, int tabIndex)` Deprecated. use `TabPanel.addBeforeSelectionHandler(com.google.gwt.event.logical.shared.BeforeSelectionHandler)` instead
    `void` | `onTabSelected(SourcesTabEvents sender, int tabIndex)` Deprecated. use `TabPanel.addSelectionHandler(com.google.gwt.event.logical.shared.SelectionHandler)` instead

- - ### Method Detail

    - #### onBeforeTabSelected

          @Deprecated
          boolean onBeforeTabSelected(SourcesTabEvents sender,
                                                  int tabIndex)

      Deprecated. use `TabPanel.addBeforeSelectionHandler(com.google.gwt.event.logical.shared.BeforeSelectionHandler)` instead
      Fired just before a tab is selected.
      Parameters:
        `sender` - the `TabBar` or `TabPanel` whose tab was selected.
        `tabIndex` - the index of the tab about to be selected
      Returns:
        `false` to disallow the selection. If any listener returns false, then the selection will be disallowed.

    - #### onTabSelected

          @Deprecated
          void onTabSelected(SourcesTabEvents sender,
                                         int tabIndex)

      Deprecated. use `TabPanel.addSelectionHandler(com.google.gwt.event.logical.shared.SelectionHandler)` instead
      Fired when a tab is selected.
      Parameters:
        `sender` - the `TabBar` or `TabPanel` whose tab was selected
        `tabIndex` - the index of the tab that was selected